Page MenuHomePhabricator

Mark extension-Wikidata & wikidata-build-resources on Gerrit as ARCHIVED
Closed, ResolvedPublic

Description

extension-Wikidata & wikidata-build-resources will no longer be used and should be archived.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2017, 7:05 PM
Addshore renamed this task from Mark extension-Wikidata on Gerrit as ARCHIVED to Mark extension-Wikidata & wikidata-build-resources on Gerrit as ARCHIVED.Dec 1 2017, 7:07 PM
Addshore removed Addshore as the assignee of this task.
Addshore updated the task description. (Show Details)

(please do not forget to inactivate the Diffusion mirrors and to delete their GitHub ones as well)

Change 394638 had a related patch set uploaded (by Addshore; owner: Addshore):
[wikidata/build-resources@master] Mark lots of places with warnings and links to kill build ticket

https://gerrit.wikimedia.org/r/394638

Change 394638 merged by jenkins-bot:
[wikidata/build-resources@master] Mark lots of places with warnings and links to kill build ticket

https://gerrit.wikimedia.org/r/394638

Change 394639 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikidata@master] README say that this is no legacy / not used

https://gerrit.wikimedia.org/r/394639

Change 394639 merged by jenkins-bot:
[mediawiki/extensions/Wikidata@master] README say that this is no legacy / not used

https://gerrit.wikimedia.org/r/394639

greg moved this task from INBOX to Backlog on the Release-Engineering-Team board.

If we need sub tickets for each of these then they should be made under the main kill the build ticket and not this one. This should remain about archiving the repos on gerrit.

Yup, that is what this ticket requests

  • mediawiki/extensions contains the submodule Wikidata

T181708: Undeploy the Wikidata extension

When we archive repos do we normally get rid of the github mirrors?

Same question as above but for diffusion

  • wikidata/build-resources is part of mediawiki/vagrant

T181769: Update role::wikidata to work with new (no)build process

  • integration/config contains tests
    • For mediawiki/extensions/Wikidata in zuul/layout.yaml

CI things will be removed once the repos are archived

  • in the file /dib/elemens/wikimedia/root.d/09-mirror-gerrit-repos

https://gerrit.wikimedia.org/r/#/c/395707/

  • For wikidata/build-resources in zuul/layout.yaml

As above, CI things will be removed once the repos are archived

Change 395892 merged by Umherirrender:
[mediawiki/extensions@master] Remove Wikidata build extension

https://gerrit.wikimedia.org/r/395892

Change 395895 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] Archive mediawiki/extensions/Wikidata

https://gerrit.wikimedia.org/r/395895

Change 395895 abandoned by Hashar:
Archive mediawiki/extensions/Wikidata

Reason:
Squashing it into https://gerrit.wikimedia.org/r/#/c/395704/

https://gerrit.wikimedia.org/r/395895

Change 395704 had a related patch set uploaded (by Hashar; owner: Addshore):
[integration/config@master] Migrate from Wikidata to Wikibase

https://gerrit.wikimedia.org/r/395704

Change 395704 merged by jenkins-bot:
[integration/config@master] Migrate from Wikidata to Wikibase

https://gerrit.wikimedia.org/r/395704

Mentioned in SAL (#wikimedia-operations) [2017-12-07T09:48:00Z] <hashar> CI: removed Wikidata from configuration, replaced by Wikibase. wmf/* and REL branches are going to be broken though | https://gerrit.wikimedia.org/r/395704 | T181838

Mentioned in SAL (#wikimedia-releng) [2017-12-07T09:48:10Z] <hashar> CI: removed Wikidata from configuration, replaced by Wikibase. wmf/* and REL branches are going to be broken though | https://gerrit.wikimedia.org/r/395704 | T181838

demon moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Dec 7 2017, 4:14 PM
demon added a subscriber: demon.Feb 6 2018, 12:27 AM
  • Looks like CI is done above
  • Github repos deleted
  • Phab mirror marked inactive
  • Both gerrit repos marked read-only

Is MW-vagrant still using this? Anything else we need to do?

MW-Vagrant is no longer using this :)

Addshore closed this task as Resolved.Feb 7 2018, 7:54 PM
Addshore claimed this task.